image: clojure:latest

before_script:
  - lein deps
  - lein kibit

build:
  script:
    - lein package
  except:
    - master

pages:
  script:
    - lein package
  artifacts:
    paths:
      - public
  only:
    - master
